org.eclipse.mat.ui.snapshot.actions

## Class CopyActions

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.actions.CopyActions

All Implemented Interfaces:
  IQuery

Direct Known Subclasses:
  CopyActions.Address, CopyActions.FQClassName, CopyActions.Value

    public abstract class CopyActions
    extends Object
    implements IQuery

### Nested Class Summary

Nested Classes
`static class` `CopyActions.Address`
`static class` `CopyActions.FQClassName`
`static class` `CopyActions.Value`

### Field Summary

Fields
`Display` `display`
`List<IContextObject>` `elements`
`ISnapshot` `snapshot`

### Constructor Summary

Constructors
Constructor and Description
`CopyActions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### elements

    public List<IContextObject> elements

#### display

    public Display display

### Constructor Detail

#### CopyActions

    public CopyActions()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception` - if something went wrong running the query